#!/bin/sh


echo "post-install"

# App Central extend timeout, but the timeout seems be counted from post-install, not pre-install, so move "docker pull" to post-install.

docker pull adguard/adguardhome:v0.107.6

echo "Completed docker pull"


CONTAINER_TEST=$(docker container ls -a | grep AdGuardHome | awk '{print $1}')

if [ ! -z $CONTAINER_TEST ]; then
	docker rm -f $CONTAINER_TEST
fi


docker create -i -t --name AdGuardHome \
	--net=host \
	-v /etc/localtime:/etc/localtime:ro \
	-v /usr/builtin/etc/certificate/:/sslcerts/:ro \
	-v /share/Docker/AdGuardHome/work:/opt/adguardhome/work:rw \
	-v /share/Docker/AdGuardHome/conf:/opt/adguardhome/conf:rw \
	--restart=unless-stopped \
	adguard/adguardhome:v0.107.6
	
docker start AdGuardHome


case "$APKG_PKG_STATUS" in
	install)
		;;
	upgrade)
		oldim=$(docker images | grep adguard/adguardhome | grep none | awk '{print $3}')
		echo $oldim
		
		if [ ! -z $oldim ]; then 
			docker rmi -f $oldim
		fi
		;;
	*)
		;;
esac

exit 0
